Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools XML Security Java API Reference 10g Release 3 (10.1.3) B25383-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.security.xmlsec.util
Interface XMLURI

public interface XMLURI

Defined URI string constants for algorithms, namespaces and objects.

The following naming convention is used:

- Algorithm URIs begin with "alg_".
- Namespace URIs begin with "ns_".
- Object type URIs begin with "obj_".

Field Summary
`static java.lang.String` | `alg_aes128_CBC` Block encryption algorithm URI for AES-128 in CBC mode "http://www.w3.org/2001/04/xmlenc#aes128-cbc".
`static java.lang.String` | `alg_aes192_CBC` Block encryption algorithm URI for AES-192 in CBC mode "http://www.w3.org/2001/04/xmlenc#aes192-cbc".
`static java.lang.String` | `alg_aes256_CBC` Block encryption algorithm URI for AES-256 in CBC mode "http://www.w3.org/2001/04/xmlenc#aes256-cbc".
`static java.lang.String` | `alg_base64` Transform algorithm URI for Base-64 decoding "http://www.w3.org/2000/09/xmldsig#base64".
`static java.lang.String` | `alg_c14n` Canonicalization algorithm URI for XML-C14N "http://www.w3.org/TR/2001/REC-xml-c14n-20010315".
`static java.lang.String` | `alg_c14nWithComments` Canonicalization algorithm URI for XML-C14N with comments "http://www.w3.org/TR/2001/REC-xml-c14n-20010315#WithComments".
`static java.lang.String` | `alg_decryptBinary` Transform algorithm URI for Decryption Transform in Binary mode "http://www.w3.org/2002/07/decrypt#Binary".
`static java.lang.String` | `alg_decryptXML` Transform algorithm URI for Decryption Transform in XML mode "http://www.w3.org/2002/07/decrypt#XML".
`static java.lang.String` | `alg_dh` Key agreement algorithm URI for Diffie-Hellman "http://www.w3.org/2001/04/xmlenc#dh".
`static java.lang.String` | `alg_dsaWithSHA1` Signature algorithm URI for DSA with SHA1 "http://www.w3.org/2000/09/xmldsig#dsa-sha1".
`static java.lang.String` | `alg_envelopedSignature` Transform algorithm URI for Enveloped Signature transform "http://www.w3.org/2000/09/xmldsig#enveloped-signature".
`static java.lang.String` | `alg_exclusiveC14N` Canonicalization algorithm URI for XML Exclusive C14N "http://www.w3.org/2001/10/xml-exc-c14n#".
`static java.lang.String` | `alg_exclusiveC14NWithComments` Canonicalization algorithm URI for XML Exclusive C14N with comments "http://www.w3.org/2001/10/xml-exc-c14n#WithComments".
`static java.lang.String` | `alg_hmacMD5` Non-standard MAC algorithm URI for HMAC-MD5 "http://www.w3.org/2001/04/xmldsig-more#hmac-md5".
`static java.lang.String` | `alg_hmacSHA1` MAC algorithm URI for HMAC-SHA1 "http://www.w3.org/2000/09/xmldsig#hmac-sha1".
`static java.lang.String` | `alg_kwAES128` Symmetric key wrap algorithm identifying URI for AES-128 "http://www.w3.org/2001/04/xmlenc#kw-aes128".
`static java.lang.String` | `alg_kwAES192` Symmetric key wrap algorithm URI for AES-192 "http://www.w3.org/2001/04/xmlenc#kw-aes192".
`static java.lang.String` | `alg_kwAES256` Symmetric key wrap algorithm URI for AES-256 "http://www.w3.org/2001/04/xmlenc#kw-aes256".
`static java.lang.String` | `alg_kwTripleDES` Symmetric key wrap algorithm URI for triple DES "http://www.w3.org/2001/04/xmlenc#kw-tripledes".
`static java.lang.String` | `alg_md5` Non-standard digest algorithm URI for MD5 "http://www.w3.org/2001/04/xmldsig-more#md5".
`static java.lang.String` | `alg_rsaOAEP_MGF1` Key transport algorithm URI for RSAES-OAEP-ENCRYPT with MGF1 "http://www.w3.org/2001/04/xmlenc#rsa-oaep-mgf1p".
`static java.lang.String` | `alg_rsaV15` Key transport algorithm URI for RSAES-PKCS1-v1_5 "http://www.w3.org/2001/04/xmlenc#rsa-1_5".
`static java.lang.String` | `alg_rsaWithMD5` Non-standard MAC algorithm URI for RSA with MD5 "http://www.w3.org/2001/04/xmldsig-more#rsa-md5".
`static java.lang.String` | `alg_rsaWithSHA1` Signature algorithm URI for RSA with SHA1 "http://www.w3.org/2000/09/xmldsig#rsa-sha1".
`static java.lang.String` | `alg_sha1` Digest algorithm URI for SHA1 "http://www.w3.org/2000/09/xmldsig#sha1".
`static java.lang.String` | `alg_sha256` Digest algorithm URI for SHA256 "http://www.w3.org/2001/04/xmlenc#sha256".
`static java.lang.String` | `alg_sha384` Non-standard digest algorithm URI for SHA384 "http://www.w3.org/2001/04/xmldsig-more#sha384".
`static java.lang.String` | `alg_sha512` Digest algorithm URI for SHA512 "http://www.w3.org/2001/04/xmlenc#sha512".
`static java.lang.String` | `alg_tripleDES_CBC` Block encryption algorithm URI for triple DES "http://www.w3.org/2001/04/xmlenc#tripledes-cbc".
`static java.lang.String` | `alg_xpath` Transform algorithm URI for XPath filter "http://www.w3.org/TR/1999/REC-xpath-19991116".
`static java.lang.String` | `alg_xslt` Transform algorithm URI for XSLT stylesheet transform "http://www.w3.org/TR/1999/REC-xslt-19991116".
`static java.lang.String` | `ns_decrypt` Namespace URI for Decryption Transform "http://www.w3.org/2002/07/decrypt#".
`static java.lang.String` | `ns_soap_enc` NamespaceURI for SOAP 1.1 serialization encoding "http://schemas.xmlsoap.org/soap/encoding/".
`static java.lang.String` | `ns_soap_env` Namespace URI for SOAP 1.1 Envelope "http://schemas.xmlsoap.org/soap/envelope/".
`static java.lang.String` | `ns_soap11_enc` NamespaceURI for SOAP 1.1 serialization encoding "http://schemas.xmlsoap.org/soap/encoding/".
`static java.lang.String` | `ns_soap11_env` Namespace URI for SOAP 1.1 Envelope "http://schemas.xmlsoap.org/soap/envelope/".
`static java.lang.String` | `ns_soap12_env` Namespace URI for SOAP 1.2 Envelope "http://www.w3.org/2003/05/soap-envelope".
`static java.lang.String` | `ns_soapsec` Namespace URI for SOAP Security Extensions "http://schemas.xmlsoap.org/soap/security/2000-12".
`static java.lang.String` | `ns_xml` Namespace URI for the XML namespace "http://www.w3.org/XML/1998/namespace".
`static java.lang.String` | `ns_xmldsig` Namespace URI for XML-DSIG "http://www.w3.org/2000/09/xmldsig#".
`static java.lang.String` | `ns_xmldsig_more` Namespace URI for Additional XML Security URIs "http://www.w3.org/2001/04/xmldsig-more".
`static java.lang.String` | `ns_xmlenc` Namespace URI for XML Encryption "http://www.w3.org/2001/04/xmlenc#".
`static java.lang.String` | `ns_xmlns` Namespace URI for the XML Names namespace "http://www.w3.org/2000/xmlns/".
`static java.lang.String` | `ns_xsi` Namespace URI for the W3C XML schema instance "http://www.w3.org/2001/XMLSchema-instance".
`static java.lang.String` | `obj_Content` Data object type URI for encrypted XML element content data "http://www.w3.org/2001/04/xmlenc#Content".
`static java.lang.String` | `obj_DHKeyValue` KeyInfo object type URI for Diffie-Hellman Key Value "http://www.w3.org/2001/04/xmlenc#DHKeyValue".
`static java.lang.String` | `obj_DSAKeyValue` KeyInfo object type URI for DSA key value "http//www.w3.org/2000/09/xmldsig#DSAKeyValue".
`static java.lang.String` | `obj_Element` Data object type URI for encrypted XML element data "http://www.w3.org/2001/04/xmlenc#Element".
`static java.lang.String` | `obj_EncryptedKey` Data object type URI for XML Encryption element EncryptedKey "http://www.w3.org/2001/04/xmlenc#EncryptedKey".
`static java.lang.String` | `obj_EncryptionProperties` Object type URI for XML Encryption element EncryptionProperties "http://www.w3.org/2001/04/xmlenc#EncryptionProperties".
`static java.lang.String` | `obj_KeyName` Non-standard KeyInfo object type URI for key name "http://www.w3.org/2000/09/xmldsig-more#KeyName".
`static java.lang.String` | `obj_Manifest` Referenced data object type URI for Manifest "http://www.w3.org/2000/09/xmldsig#Manifest".
`static java.lang.String` | `obj_MgmtData` KeyInfo object type URI for key management data "http://www.w3.org/2000/09/xmldsig#MgmtData".
`static java.lang.String` | `obj_Object` Referenced data object type URI for Object "http://www.w3.org/2000/09/xmldsig#Object".
`static java.lang.String` | `obj_PGPData` KeyInfo object type URI for PGP key data "http://www.w3.org/2000/09/xmldsig#PGPData".
`static java.lang.String` | `obj_rawX509Certificate` KeyInfo object type URI for a raw (base64-encoded binary) X509 certificate "http://www.w3.org/2000/09/xmldsig#rawX509Certificate".
`static java.lang.String` | `obj_RetrievalMethod` Non-standard KeyInfo object type URI for retrieval method "http://www.w3.org/2000/09/xmldsig-more#RetrievalMethod".
`static java.lang.String` | `obj_RSAKeyValue` KeyInfo object type URI for RSA key value "http//www.w3.org/2000/09/xmldsig#RSAKeyValue".
`static java.lang.String` | `obj_SignatureProperties` Referenced data object type URI for Signature Properties "http://www.w3.org/2000/09/xmldsig#SignatureProperties".
`static java.lang.String` | `obj_SPKIData` KeyInfo object type URI for SPKI key data "http://www.w3.org/2000/09/xmldsig#SPKIData".
`static java.lang.String` | `obj_X509Data` KeyInfo object type URI for X509 key data "http://www.w3.org/2000/09/xmldsig#X509Data".
`static java.lang.String` | `uri_soap_actor_next` URI identifying the first application processing a SOAP request as the intended actor for a SOAP 1.1 header entry "http://schemas.xmlsoap.org/soap/actor/next".
`static java.lang.String` | `uri_soap11_actor_next` URI identifying the first application processing a SOAP request as the intended actor for a SOAP 1.1 header entry "http://schemas.xmlsoap.org/soap/actor/next".
`static java.lang.String` | `uri_soap12_role_next` URI for the SOAP 1.2 "role" attribute value "http://www.w3.org/2003/05/soap-envelope/role/next".
`static java.lang.String` | `uri_soap12_role_none` URI for the SOAP 1.2 "role" attribute value "http://www.w3.org/2003/05/soap-envelope/role/none".
`static java.lang.String` | `uri_soap12_role_ultimateReceiver` URI for the SOAP 1.2 "role" attribute value "http://www.w3.org/2003/05/soap-envelope/role/ultimateReceiver".

Field Detail

### alg_sha1

    public static final java.lang.String alg_sha1

  Digest algorithm URI for SHA1 "http://www.w3.org/2000/09/xmldsig#sha1".
  See Also:
    Constant Field Values

### alg_md5

    public static final java.lang.String alg_md5

  Non-standard digest algorithm URI for MD5 "http://www.w3.org/2001/04/xmldsig-more#md5". Note: This URI is defined in Internet Draft draft-eastlake-xmldsig-uri-02.txt, and may not be supported in future releases.
  See Also:
    Constant Field Values

### alg_hmacSHA1

    public static final java.lang.String alg_hmacSHA1

  MAC algorithm URI for HMAC-SHA1 "http://www.w3.org/2000/09/xmldsig#hmac-sha1".
  See Also:
    Constant Field Values

### alg_hmacMD5

    public static final java.lang.String alg_hmacMD5

  Non-standard MAC algorithm URI for HMAC-MD5 "http://www.w3.org/2001/04/xmldsig-more#hmac-md5". Note: This URI is defined in Internet Draft draft-eastlake-xmldsig-uri-02.txt, and may not be supported in future releases.
  Since:
    1.2
  See Also:
    Constant Field Values

### alg_dsaWithSHA1

    public static final java.lang.String alg_dsaWithSHA1

  Signature algorithm URI for DSA with SHA1 "http://www.w3.org/2000/09/xmldsig#dsa-sha1".
  See Also:
    Constant Field Values

### alg_rsaWithSHA1

    public static final java.lang.String alg_rsaWithSHA1

  Signature algorithm URI for RSA with SHA1 "http://www.w3.org/2000/09/xmldsig#rsa-sha1".
  See Also:
    Constant Field Values

### alg_rsaWithMD5

    public static final java.lang.String alg_rsaWithMD5

  Non-standard MAC algorithm URI for RSA with MD5 "http://www.w3.org/2001/04/xmldsig-more#rsa-md5". Note: This URI is defined in Internet Draft draft-eastlake-xmldsig-uri-02.txt, and may not be supported in future releases.
  Since:
    1.2
  See Also:
    Constant Field Values

### alg_c14n

    public static final java.lang.String alg_c14n

  Canonicalization algorithm URI for XML-C14N "http://www.w3.org/TR/2001/REC-xml-c14n-20010315".
  See Also:
    Constant Field Values

### alg_c14nWithComments

    public static final java.lang.String alg_c14nWithComments

  Canonicalization algorithm URI for XML-C14N with comments "http://www.w3.org/TR/2001/REC-xml-c14n-20010315#WithComments".
  See Also:
    Constant Field Values

### alg_exclusiveC14N

    public static final java.lang.String alg_exclusiveC14N

  Canonicalization algorithm URI for XML Exclusive C14N "http://www.w3.org/2001/10/xml-exc-c14n#".
  See Also:
    Constant Field Values

### alg_exclusiveC14NWithComments

    public static final java.lang.String alg_exclusiveC14NWithComments

  Canonicalization algorithm URI for XML Exclusive C14N with comments "http://www.w3.org/2001/10/xml-exc-c14n#WithComments".
  See Also:
    Constant Field Values

### alg_base64

    public static final java.lang.String alg_base64

  Transform algorithm URI for Base-64 decoding "http://www.w3.org/2000/09/xmldsig#base64".
  See Also:
    Constant Field Values

### alg_xslt

    public static final java.lang.String alg_xslt

  Transform algorithm URI for XSLT stylesheet transform "http://www.w3.org/TR/1999/REC-xslt-19991116".
  See Also:
    Constant Field Values

### alg_xpath

    public static final java.lang.String alg_xpath

  Transform algorithm URI for XPath filter "http://www.w3.org/TR/1999/REC-xpath-19991116".
  See Also:
    Constant Field Values

### alg_envelopedSignature

    public static final java.lang.String alg_envelopedSignature

  Transform algorithm URI for Enveloped Signature transform "http://www.w3.org/2000/09/xmldsig#enveloped-signature".
  See Also:
    Constant Field Values

### alg_decryptXML

    public static final java.lang.String alg_decryptXML

  Transform algorithm URI for Decryption Transform in XML mode "http://www.w3.org/2002/07/decrypt#XML". Note: This URI has changed from its value in the 2001 working draft specification, which was "http://www.w3.org/2001/04/decrypt#".
  Since:
    2.0
  See Also:
    Constant Field Values

### alg_decryptBinary

    public static final java.lang.String alg_decryptBinary

  Transform algorithm URI for Decryption Transform in Binary mode "http://www.w3.org/2002/07/decrypt#Binary". Note: This URI has changed from its value in the 2001 working draft specification, which was "http://www.w3.org/2001/04/decrypt#".
  Since:
    2.0
  See Also:
    Constant Field Values

### alg_tripleDES_CBC

    public static final java.lang.String alg_tripleDES_CBC

  Block encryption algorithm URI for triple DES "http://www.w3.org/2001/04/xmlenc#tripledes-cbc".
  See Also:
    Constant Field Values

### alg_aes128_CBC

    public static final java.lang.String alg_aes128_CBC

  Block encryption algorithm URI for AES-128 in CBC mode "http://www.w3.org/2001/04/xmlenc#aes128-cbc".
  See Also:
    Constant Field Values

### alg_aes256_CBC

    public static final java.lang.String alg_aes256_CBC

  Block encryption algorithm URI for AES-256 in CBC mode "http://www.w3.org/2001/04/xmlenc#aes256-cbc".
  See Also:
    Constant Field Values

### alg_aes192_CBC

    public static final java.lang.String alg_aes192_CBC

  Block encryption algorithm URI for AES-192 in CBC mode "http://www.w3.org/2001/04/xmlenc#aes192-cbc".
  See Also:
    Constant Field Values

### alg_rsaV15

    public static final java.lang.String alg_rsaV15

  Key transport algorithm URI for RSAES-PKCS1-v1_5 "http://www.w3.org/2001/04/xmlenc#rsa-1_5".
  See Also:
    Constant Field Values

### alg_rsaOAEP_MGF1

    public static final java.lang.String alg_rsaOAEP_MGF1

  Key transport algorithm URI for RSAES-OAEP-ENCRYPT with MGF1 "http://www.w3.org/2001/04/xmlenc#rsa-oaep-mgf1p".
  See Also:
    Constant Field Values

### alg_dh

    public static final java.lang.String alg_dh

  Key agreement algorithm URI for Diffie-Hellman "http://www.w3.org/2001/04/xmlenc#dh".
  See Also:
    Constant Field Values

### alg_kwTripleDES

    public static final java.lang.String alg_kwTripleDES

  Symmetric key wrap algorithm URI for triple DES "http://www.w3.org/2001/04/xmlenc#kw-tripledes".
  See Also:
    Constant Field Values

### alg_kwAES128

    public static final java.lang.String alg_kwAES128

  Symmetric key wrap algorithm identifying URI for AES-128 "http://www.w3.org/2001/04/xmlenc#kw-aes128".
  See Also:
    Constant Field Values

### alg_kwAES192

    public static final java.lang.String alg_kwAES192

  Symmetric key wrap algorithm URI for AES-192 "http://www.w3.org/2001/04/xmlenc#kw-aes192".
  See Also:
    Constant Field Values

### alg_kwAES256

    public static final java.lang.String alg_kwAES256

  Symmetric key wrap algorithm URI for AES-256 "http://www.w3.org/2001/04/xmlenc#kw-aes256".
  See Also:
    Constant Field Values

### alg_sha256

    public static final java.lang.String alg_sha256

  Digest algorithm URI for SHA256 "http://www.w3.org/2001/04/xmlenc#sha256".
  See Also:
    Constant Field Values

### alg_sha512

    public static final java.lang.String alg_sha512

  Digest algorithm URI for SHA512 "http://www.w3.org/2001/04/xmlenc#sha512".
  See Also:
    Constant Field Values

### alg_sha384

    public static final java.lang.String alg_sha384

  Non-standard digest algorithm URI for SHA384 "http://www.w3.org/2001/04/xmldsig-more#sha384". Note: This URI is defined in Internet Draft draft-eastlake-xmldsig-uri-02.txt, and may not be supported in future releases.
  Since:
    1.2
  See Also:
    Constant Field Values

### ns_xml

    public static final java.lang.String ns_xml

  Namespace URI for the XML namespace "http://www.w3.org/XML/1998/namespace".
  See Also:
    Constant Field Values

### ns_xmlns

    public static final java.lang.String ns_xmlns

  Namespace URI for the XML Names namespace "http://www.w3.org/2000/xmlns/".
  See Also:
    Constant Field Values

### ns_xmldsig

    public static final java.lang.String ns_xmldsig

  Namespace URI for XML-DSIG "http://www.w3.org/2000/09/xmldsig#".
  See Also:
    Constant Field Values

### ns_xmlenc

    public static final java.lang.String ns_xmlenc

  Namespace URI for XML Encryption "http://www.w3.org/2001/04/xmlenc#".
  See Also:
    Constant Field Values

### ns_xmldsig_more

    public static final java.lang.String ns_xmldsig_more

  Namespace URI for Additional XML Security URIs "http://www.w3.org/2001/04/xmldsig-more". Note: This URI is defined in Internet Draft draft-eastlake-xmldsig-uri-02.txt, and may not be supported in future releases.
  Since:
    1.2
  See Also:
    Constant Field Values

### ns_decrypt

    public static final java.lang.String ns_decrypt

  Namespace URI for Decryption Transform "http://www.w3.org/2002/07/decrypt#". Note: This URI has changed from its value in the 2001 working draft specification, which was "http://www.w3.org/2001/04/decrypt#".
  Since:
    1.2
  See Also:
    Constant Field Values

### ns_soapsec

    public static final java.lang.String ns_soapsec

  Namespace URI for SOAP Security Extensions "http://schemas.xmlsoap.org/soap/security/2000-12".
  Since:
    2.0
  See Also:
    Constant Field Values

### ns_xsi

    public static final java.lang.String ns_xsi

  Namespace URI for the W3C XML schema instance "http://www.w3.org/2001/XMLSchema-instance".
  Since:
    2.1
  See Also:
    Constant Field Values

### ns_soap_env

    public static final java.lang.String ns_soap_env

  Namespace URI for SOAP 1.1 Envelope "http://schemas.xmlsoap.org/soap/envelope/".
  Since:
    2.1
  See Also:
    Constant Field Values

### ns_soap_enc

    public static final java.lang.String ns_soap_enc

  NamespaceURI for SOAP 1.1 serialization encoding "http://schemas.xmlsoap.org/soap/encoding/".
  Since:
    2.1
  See Also:
    Constant Field Values

### ns_soap11_env

    public static final java.lang.String ns_soap11_env

  Namespace URI for SOAP 1.1 Envelope "http://schemas.xmlsoap.org/soap/envelope/".
  Since:
    2.3.0
  See Also:
    Constant Field Values

### ns_soap11_enc

    public static final java.lang.String ns_soap11_enc

  NamespaceURI for SOAP 1.1 serialization encoding "http://schemas.xmlsoap.org/soap/encoding/".
  Since:
    2.3.0
  See Also:
    Constant Field Values

### ns_soap12_env

    public static final java.lang.String ns_soap12_env

  Namespace URI for SOAP 1.2 Envelope "http://www.w3.org/2003/05/soap-envelope".
  Since:
    2.3.0
  See Also:
    Constant Field Values

### uri_soap_actor_next

    public static final java.lang.String uri_soap_actor_next

  URI identifying the first application processing a SOAP request as the intended actor for a SOAP 1.1 header entry "http://schemas.xmlsoap.org/soap/actor/next".
  Since:
    2.1
  See Also:
    Constant Field Values

### uri_soap11_actor_next

    public static final java.lang.String uri_soap11_actor_next

  URI identifying the first application processing a SOAP request as the intended actor for a SOAP 1.1 header entry "http://schemas.xmlsoap.org/soap/actor/next".
  Since:
    2.3.0
  See Also:
    Constant Field Values

### uri_soap12_role_none

    public static final java.lang.String uri_soap12_role_none

  URI for the SOAP 1.2 "role" attribute value "http://www.w3.org/2003/05/soap-envelope/role/none".
  Since:
    2.3.0
  See Also:
    Constant Field Values

### uri_soap12_role_next

    public static final java.lang.String uri_soap12_role_next

  URI for the SOAP 1.2 "role" attribute value "http://www.w3.org/2003/05/soap-envelope/role/next".
  Since:
    2.3.0
  See Also:
    Constant Field Values

### uri_soap12_role_ultimateReceiver

    public static final java.lang.String uri_soap12_role_ultimateReceiver

  URI for the SOAP 1.2 "role" attribute value "http://www.w3.org/2003/05/soap-envelope/role/ultimateReceiver".
  Since:
    2.3.0
  See Also:
    Constant Field Values

### obj_Object

    public static final java.lang.String obj_Object

  Referenced data object type URI for Object "http://www.w3.org/2000/09/xmldsig#Object".
  See Also:
    Constant Field Values

### obj_Manifest

    public static final java.lang.String obj_Manifest

  Referenced data object type URI for Manifest "http://www.w3.org/2000/09/xmldsig#Manifest".
  See Also:
    Constant Field Values

### obj_SignatureProperties

    public static final java.lang.String obj_SignatureProperties

  Referenced data object type URI for Signature Properties "http://www.w3.org/2000/09/xmldsig#SignatureProperties".
  See Also:
    Constant Field Values

### obj_DSAKeyValue

    public static final java.lang.String obj_DSAKeyValue

  KeyInfo object type URI for DSA key value "http//www.w3.org/2000/09/xmldsig#DSAKeyValue".
  See Also:
    Constant Field Values

### obj_RSAKeyValue

    public static final java.lang.String obj_RSAKeyValue

  KeyInfo object type URI for RSA key value "http//www.w3.org/2000/09/xmldsig#RSAKeyValue".
  See Also:
    Constant Field Values

### obj_X509Data

    public static final java.lang.String obj_X509Data

  KeyInfo object type URI for X509 key data "http://www.w3.org/2000/09/xmldsig#X509Data".
  See Also:
    Constant Field Values

### obj_PGPData

    public static final java.lang.String obj_PGPData

  KeyInfo object type URI for PGP key data "http://www.w3.org/2000/09/xmldsig#PGPData".
  See Also:
    Constant Field Values

### obj_SPKIData

    public static final java.lang.String obj_SPKIData

  KeyInfo object type URI for SPKI key data "http://www.w3.org/2000/09/xmldsig#SPKIData".
  See Also:
    Constant Field Values

### obj_MgmtData

    public static final java.lang.String obj_MgmtData

  KeyInfo object type URI for key management data "http://www.w3.org/2000/09/xmldsig#MgmtData".
  See Also:
    Constant Field Values

### obj_rawX509Certificate

    public static final java.lang.String obj_rawX509Certificate

  KeyInfo object type URI for a raw (base64-encoded binary) X509 certificate "http://www.w3.org/2000/09/xmldsig#rawX509Certificate".
  See Also:
    Constant Field Values

### obj_KeyName

    public static final java.lang.String obj_KeyName

  Non-standard KeyInfo object type URI for key name "http://www.w3.org/2000/09/xmldsig-more#KeyName". Note: This URI is defined in Internet Draft draft-eastlake-xmldsig-uri-02.txt, and may not be supported in future releases.
  Since:
    1.2
  See Also:
    Constant Field Values

### obj_RetrievalMethod

    public static final java.lang.String obj_RetrievalMethod

  Non-standard KeyInfo object type URI for retrieval method "http://www.w3.org/2000/09/xmldsig-more#RetrievalMethod". Note: This URI is defined in Internet Draft draft-eastlake-xmldsig-uri-02.txt, and may not be supported in future releases.
  Since:
    1.2
  See Also:
    Constant Field Values

### obj_Element

    public static final java.lang.String obj_Element

  Data object type URI for encrypted XML element data "http://www.w3.org/2001/04/xmlenc#Element".
  See Also:
    Constant Field Values

### obj_Content

    public static final java.lang.String obj_Content

  Data object type URI for encrypted XML element content data "http://www.w3.org/2001/04/xmlenc#Content".
  See Also:
    Constant Field Values

### obj_EncryptedKey

    public static final java.lang.String obj_EncryptedKey

  Data object type URI for XML Encryption element EncryptedKey "http://www.w3.org/2001/04/xmlenc#EncryptedKey".
  See Also:
    Constant Field Values

### obj_EncryptionProperties

    public static final java.lang.String obj_EncryptionProperties

  Object type URI for XML Encryption element EncryptionProperties "http://www.w3.org/2001/04/xmlenc#EncryptionProperties".
  See Also:
    Constant Field Values

### obj_DHKeyValue

    public static final java.lang.String obj_DHKeyValue

  KeyInfo object type URI for Diffie-Hellman Key Value "http://www.w3.org/2001/04/xmlenc#DHKeyValue".
  See Also:
    Constant Field Values

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools XML Security Java API Reference 10g Release 3 (10.1.3) B25383-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005, 2006 , Oracle. All rights reserved.